[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScreen.EndTempCursor

Releases a temporary mouse cursor set with BeginTempCursor.

## Declaration

Source position: forms.pp line 1263

`public procedure TScreen.EndTempCursor(`
`const aCursor: TCursor`
`);`

## Arguments

`aCursor` |  | Identifies the cursor shape released in the method.

## Description

EndTempCursor is a method used to release the temporary cursor shape in ACursor. It removes the value from the internal list of temporary cursors updated in the BeginTempCursor method. Only the cursor shape in ACursor is removed from the list; other values are left intact.

EndTempCursor calls SetCursor in the widgetset class to apply the cursor shape in RealCursor.

An Exception is raised with the message 'Unbalanced BeginTempCursor/EndTempCursor calls for cursor' if ACursor is not found in the list of temporary cursors.

Use BeginTempCursor to display and store a temporary mouse cursor shape.

## Errors

Raises an Exception with the message 'Unbalanced BeginTempCursor/EndTempCursor calls for cursor' if ACursor is not found in the list of temporary cursors.

## See also

TScreen.RealCursor |  | Gets the value for the Cursor property taking temporary cursors into account.
TScreen.Cursors |  | Provides indexed access to the available mouse cursor shapes for the screen.
TScreen.BeginTempCursor |  | Sets the Cursor property to a temporary shape. Use EndTempCursor to release it.
TScreen.BeginScreenCursor |  | Changes the active cursor to the most recent shape in the internal list of cursors.
TScreen.EndScreenCursor |  | Removes the current mouse cursor shape from the internal list, and restores the previous cursor shape.
TScreen.BeginWaitCursor |  | Sets the cursor to the shape in crHourGlass.
TScreen.EndWaitCursor |  | Removes the crHourGlass mouse cursor shape.
TCursor |  | Defines the range of values used for cursor shapes.